GETPOST
v2.0.0stable

Get Price

Retrieve device pricing filtered by type (instant/review), warranty, and device type. Returns the user IP address

GET | POST/api/price
Auth:API Key
Limite:120/minute

Richiesta parametri

Tutti i parametri possono essere passati tramite Query o Body

ParametroTipoObbligoDescrizione
token
stringObbligo
User API token
Esempio: your_api_token_here
type
stringFacoltativo
Price type: instant or review. Empty or 'all' returns all types
instantreviewall
Esempio: instant
warranty
stringFacoltativo
Warranty type: 0/1/2/3/4/6. Empty or 'all' returns all warranty types
012346all
Esempio: 1
deviceType
stringFacoltativo
Device type: iphone or ipad. Empty or 'all' returns all device types
iphoneipadall
Esempio: iphone

Risposta

ParametroTipoObbligoDescrizione
code
numberObbligo
Status code: 1=success, 0=failure
Esempio: 1
msg
stringObbligo
Response message
Esempio: 查询成功
time
numberObbligo
Server timestamp (Unix seconds)
Esempio: 1769675945
data
objectObbligo
Response payload
data.ip
stringObbligo
User IP address
Esempio: 192.168.1.100
data.instant
object | arrayObbligo
Instant price (object for single, array for multiple). Only returned when type is empty, 'all', or 'instant'
data.review
object | arrayObbligo
Review price (object for single, array for multiple). Only returned when type is empty, 'all', or 'review'
*.warranty
stringObbligo
Warranty type code
Esempio: 1
*.warrantyName
stringObbligo
Warranty type name
Esempio: 标准版
*.deviceType
stringObbligo
Device type
Esempio: iphone
*.price
numberObbligo
Price (unit: CNY)
Esempio: 10
ysucc
stringObbligo
Success flag, returns "Ysucc" on success
Esempio: Ysucc
Esempio di risposta
{
"code":1,
"msg":"Query successful",
"time":1769675945,
"data":
{
"ip":"192.168.1.100",
"instant":
{
"type":"instant",
"typeName":"秒出",
"warranty":"1",
"warrantyName":"标准版",
"deviceType":"iphone",
"price":10
}
,
"review":
{
"type":"review",
"typeName":"审核",
"warranty":"1",
"warrantyName":"标准版",
"deviceType":"iphone",
"price":8
}
}
,
"ysucc":"Ysucc"
}

Query all prices

Without type, warranty, deviceType params, returns all combinations

Query all prices
{
"code":1,
"msg":"Query successful",
"time":1769675945,
"data":
{
"ip":"192.168.1.100",
"instant":
[
{
"warranty":"0",
"warrantyName":"躺平版",
"deviceType":"iphone",
"price":5
}
,
{
"warranty":"1",
"warrantyName":"标准版",
"deviceType":"iphone",
"price":10
}
,
{
"warranty":"0",
"warrantyName":"躺平版",
"deviceType":"ipad",
"price":6
}
]
,
"review":
[
{
"warranty":"0",
"warrantyName":"躺平版",
"deviceType":"iphone",
"price":4
}
,
{
"warranty":"1",
"warrantyName":"标准版",
"deviceType":"iphone",
"price":8
}
]
}
,
"ysucc":"Ysucc"
}

Query instant prices only

type=instant, returns all instant prices

Query instant prices only
{
"code":1,
"msg":"Query successful",
"time":1769675945,
"data":
{
"ip":"192.168.1.100",
"type":"instant",
"typeName":"秒出",
"warranty":"1",
"warrantyName":"标准版",
"deviceType":"iphone",
"price":10
}
,
"ysucc":"Ysucc"
}

Codici di errore

Codici di errore3 definito
0
Invalid token
Invalid or expired token
0
Basic and High-Basic plans do not support iPad devices
Warranty type 4 and 6 do not support iPad devices
0
Basic and High-Basic plans do not support review/reservation
Warranty type 4 and 6 do not support review/reservation

Lingua di risposta

Personalizza il linguaggio di risposta API con l'intestazione X-Lang. Gli esempi di codice qui sotto utilizzano automaticamente la lingua del tuo sito corrente.

Intestazione consigliata
X-Lang: it
Lingue supportate
zh, en, zh-TW, vi, ar, es, ru

Accetta-Language è anche supportato; X-Lang prende la priorità.

Esempi di codice

curl -X GET "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/price?token=your_api_token_here&type=instant&warranty=1&deviceType=iphone" \
  -H "X-Lang: it"

Note

  • 参数通过 Query 或 x-www-form-urlencoded 传递
  • 摆烂版(4)和高摆烂版(6)仅支持秒出 + iPhone,不支持 iPad 和审核/预约
  • 价格可能因用户不同而有所差异(用户专属价格)
  • 返回的价格为添加单台设备的费用

Provalo in Console

Compila i parametri qui sotto e invia una richiesta al test. Le richieste vanno solo all'API di questo sito; l'URL è bloccato e non può essere modificato e il cookie di login corrente è incluso.

https://testypro.iwai.cc/api/price?token=your_api_token_here&type=instant&warranty=1&deviceType=iphoneBloccato a questo sito
stringObbligo

User API token

string

Price type: instant or review. Empty or 'all' returns all types

string

Warranty type: 0/1/2/3/4/6. Empty or 'all' returns all warranty types

string

Device type: iphone or ipad. Empty or 'all' returns all device types